Package io.trino.jdbc

# Class TrinoDriverUri

java.lang.Object
io.trino.jdbc.TrinoDriverUri

public final class TrinoDriverUri extends Object
Parses and extracts parameters from a Trino JDBC URL.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`acceptsURL(String url)`
`static TrinoDriverUri`
`create(String url, Properties properties)`
`Optional<String>`
`getApplicationNamePrefix()`
`Optional<String>`
`getCatalog()`
`Optional<String>`
`getClientInfo()`
`Optional<String>`
`getClientTags()`
`Map<String,String>`
`getExtraCredentials()`
`URI`
`getHttpUri()`
`URI`
`getJdbcUri()`
`Properties`
`getProperties()`
`String`
`getRequiredUser()`
`Map<String,io.trino.client.ClientSelectedRole>`
`getRoles()`
`Optional<String>`
`getSchema()`
`Map<String,String>`
`getSessionProperties()`
`Optional<String>`
`getSessionUser()`
`Optional<String>`
`getSource()`
`Optional<String>`
`getTraceToken()`
`Optional<String>`
`getUser()`
`boolean`
`isAssumeLiteralNamesInMetadataCallsForNonConformingClients()`
`boolean`
`isAssumeLiteralUnderscoreInMetadataCallsForNonConformingClients()`
`boolean`
`isCompressionDisabled()`
`void`
`setupClient(okhttp3.OkHttpClient.Builder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static TrinoDriverUri create(String url, Properties properties) throws SQLException

Throws:
  `SQLException`

### acceptsURL

public static boolean acceptsURL(String url)

### getJdbcUri

public URI getJdbcUri()

### getSchema

public Optional<String> getSchema()

### getCatalog

public Optional<String> getCatalog()

### getHttpUri

public URI getHttpUri()

### getRequiredUser

public String getRequiredUser() throws SQLException

Throws:
  `SQLException`

### getUser

public Optional<String> getUser() throws SQLException

Throws:
  `SQLException`

### getSessionUser

public Optional<String> getSessionUser() throws SQLException

Throws:
  `SQLException`

### getRoles

public Map<String,io.trino.client.ClientSelectedRole> getRoles() throws SQLException

Throws:
  `SQLException`

### getApplicationNamePrefix

public Optional<String> getApplicationNamePrefix() throws SQLException

Throws:
  `SQLException`

### getProperties

public Properties getProperties()

### getExtraCredentials

public Map<String,String> getExtraCredentials() throws SQLException

Throws:
  `SQLException`

### getClientInfo

public Optional<String> getClientInfo() throws SQLException

Throws:
  `SQLException`

### getClientTags

public Optional<String> getClientTags() throws SQLException

Throws:
  `SQLException`

### getTraceToken

public Optional<String> getTraceToken() throws SQLException

Throws:
  `SQLException`

### getSessionProperties

public Map<String,String> getSessionProperties() throws SQLException

Throws:
  `SQLException`

### getSource

public Optional<String> getSource() throws SQLException

Throws:
  `SQLException`

### isCompressionDisabled

public boolean isCompressionDisabled() throws SQLException

Throws:
  `SQLException`

### isAssumeLiteralNamesInMetadataCallsForNonConformingClients

public boolean isAssumeLiteralNamesInMetadataCallsForNonConformingClients() throws SQLException

Throws:
  `SQLException`

### isAssumeLiteralUnderscoreInMetadataCallsForNonConformingClients

public boolean isAssumeLiteralUnderscoreInMetadataCallsForNonConformingClients() throws SQLException

Throws:
  `SQLException`

### setupClient

public void setupClient(okhttp3.OkHttpClient.Builder builder) throws SQLException

Throws:
  `SQLException`